Skip Menu |
 

This queue is for tickets about the UNIVERSAL-can CPAN distribution.

Report information
The Basics
Id: 17014
Status: resolved
Worked: 5 min
Priority: 0/
Queue: UNIVERSAL-can

People
Owner: chromatic [...] cpan.org
Requestors: adamk [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 1.01
Fixed in: (no value)



Subject: Does not document or check 5.6 dependency
Download (untitled) / with headers
text/plain 295b
This module uses lexical warnings in such as way as to introduce a dependency on Perl 5.6 (at least...) While that's not a problem, nowhere does the module check for the version or declare its version dependency. Please add a use 5.006, and a version dep statement to the Makefile.PL/Build.PL.
Added in 1.03.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.